<app-sidebar-menu></app-sidebar-menu>
<div class="chat-container-bg">
  <img src="" alt="" />
  <div class="container-md collapse" id="chatbox-container">
    <div class="card">
      <!--<app-chatbox></app-chatbox>-->
      <!--<pre>{{ getOnlineUsers() | json }}</pre>-->

      <div class="card-header" id="card-chat-header">
        <h3 class="current-chat-header">{{ currentChatHeader }}</h3>
      </div>
      <div class="card-body" class="card-chat-msg-box">
        <div class="messagebox">
          <ul *ngFor="let message of messagebox">
            <!-- <li [ngIf]="message != ''"> -->
            <li *ngIf="message != ''">
              {{ message }}
            </li>
          </ul>
        </div>
      </div>
      <div class="card-footer" id="card-chat-msg-send">
        <div class="input-group mb-3">
          <input
            type="text"
            class="form-control"
            [(ngModel)]="newMessage"
            (keyup)="$event.keyCode == 13 && onClickSend()"
          />
          <div class="input-group-append">
            <button class="btn btn-outline-secondary" type="button" id="msg-btn" (click)="onClickSend()">Button</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<nav class="users-list">
  <div class="user-list-header">
    <h3>Users: {{ myUser }}</h3>
  </div>
  <div class="user-container">
    <div class="user-online">
      <span>User Online: {{ getOnlineUsers().length }}</span>
    </div>
    <ul class="list-group" class="user-list" (click)="onClick($event)">
      <li
        class="list-group-item"
        class="li-user"
        data-toggle="collapse"
        aria-controls="collapseOne"
        data-target="#chatbox-container"
        *ngFor="let item of getOnlineUsers(); if: item != getMyUser(); index as i"
      >
        {{ item.user }}
      </li>
    </ul>
  </div>
</nav>
